Draft Shape2DView: Difference between revisions

From FreeCAD Documentation
m (template fr)
No edit summary
Line 1: Line 1:
{{GuiCommand|Name=Draft_Shape2DView|Workbenches=[[Draft Module|Draft]]|MenuLocation=Draft -> Shape 2D View}}
{{GuiCommand|Name=Draft_Shape2DView|Workbenches=[[Draft Module|Draft]], [[Arch Module|Arch]]|MenuLocation=Draft -> Shape 2D View}}


====Description====
==Description==

This tool places in the document a 2D object which is a flattened view of a selected [[Part Module|Shape]]-based object.


[[Image:Draft_Shape2DView_example.jpg]]
[[Image:Draft_Shape2DView_example.jpg]]


==How to use==
This tool places in the document a 2D object which is a flattened view of a selected Shape-based object (that can be 3D or not).

# Select the object you want to extract a 2D view from
# Press the {{KEY|[[Image:Draft Shape2DView.png|16px]] [[Draft Shape2DView]]}} button

==Options==

* If the selected object is an [[Arch SectionPlane]], the 2D projection will be of the contents of the Section plane.

==Properties==

{{PropertyData|Projection}}: The direction of the projection

==Scripting==

The Draft Shape2DView tool can by used in [[macros]] and from the python console by using the following function:

'''makeShape2DView (object,[projection])''': adds a 2D shape to the document, which is a 2D projection of the given object.
A specific projection vector can also be given. Returns the generated object.


Example:
====Usage====


import FreeCAD,Draft
* Select an object
Draft.makeShape2DView(FreeCAD.ActiveDocument.ActiveObject)
* Press the [[Image:Draft_Shape2DView.png|16px]] '''Shape2DView''' button
* Adjust, if necessary, its '''Projection''' property to obtain the desired projection direction.


{{languages | {{es|Draft_Shape2DView/es}} {{fr|Draft_Shape2DView/fr}} {{it|Draft_Shape2DView/it}} }}
{{languages | {{es|Draft_Shape2DView/es}} {{fr|Draft_Shape2DView/fr}} {{it|Draft_Shape2DView/it}} }}

Revision as of 13:35, 29 August 2012

Draft_Shape2DView

Menu location
Draft -> Shape 2D View
Workbenches
Draft, Arch
Default shortcut
None
Introduced in version
-
See also
None

Description

This tool places in the document a 2D object which is a flattened view of a selected Shape-based object.

How to use

  1. Select the object you want to extract a 2D view from
  2. Press the Draft Shape2DView button

Options

  • If the selected object is an Arch SectionPlane, the 2D projection will be of the contents of the Section plane.

Properties

DataProjection: The direction of the projection

Scripting

The Draft Shape2DView tool can by used in macros and from the python console by using the following function:

makeShape2DView (object,[projection]): adds a 2D shape to the document, which is a 2D projection of the given object. 
A specific projection vector can also be given. Returns the generated object.

Example:

import FreeCAD,Draft
Draft.makeShape2DView(FreeCAD.ActiveDocument.ActiveObject)
Available translations of this page: